Download it now!
Bug 75726 - importing xls w/ merged cells corrupts conditional formatting
Summary: importing xls w/ merged cells corrupts conditional formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:xls
Depends on:
Blocks: Conditional-Formatting XLS
  Show dependency treegraph
 
Reported: 2014-03-03 20:30 UTC by Joerg Stippa
Modified: 2019-08-28 00:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example input. Protected w/ blank password. Only weekends of 2014 are adjustable. (53.00 KB, application/vnd.ms-excel)
2014-03-03 20:30 UTC, Joerg Stippa
Details
screenshot (150.96 KB, image/png)
2018-04-02 09:32 UTC, Xavier Van Wijmeersch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Stippa 2014-03-03 20:30:14 UTC
Created attachment 95059 [details]
Example input. Protected w/ blank password. Only weekends of 2014 are adjustable.

Running LO 4.2.1.1-1.fc20.
When importing the attached XLS (protected sheet w/ blank password) the merged cells w/ some conditional formatting are combined correctly but the neighbouring cells are affected by the conditional formatting. Only the merged cells should have conditional formatting.

The sheet is used to let people mark weekends (Fr-Su) as available ("Ja") or unavailable ("Nein"). There is no further processing within this spreadsheet.
Comment 1 m.a.riosv 2014-03-03 23:35:53 UTC
Hi Joerg, thanks for reporting.

Reproducible:
Win7x64Ultimate
Version: 4.1.6.0.0+ Build ID: d86ecb8512d19d8dcf073ceb1fd9813554397bd
Version: 4.2.1.1 Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b
Version: 4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f
Version: 4.3.0.0.alpha0+ Build ID: 09155190d817dd880cc96a106114618b46a5a7e5
   TinderBox: Win-x86@39, Branch:master, Time: 2014-03-01_23:56:24
Comment 2 Joerg Stippa 2016-02-17 20:36:39 UTC
LibreOffice 5.0.5 still cannot handle this!
Has this bug been forgotten all the time?
Comment 3 QA Administrators 2017-03-06 16:16:10 UTC Comment hidden (obsolete)
Comment 4 eisa01 2018-04-01 16:25:46 UTC
Still present, and inherited from OOo

Version: 6.1.0.0.alpha0+
Build ID: a488c7ad2763b944713997911c1ddb0315d8c93f
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-26_00:38:29
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 Xavier Van Wijmeersch 2018-04-02 09:32:50 UTC
Created attachment 141019 [details]
screenshot

There some ref errors in conditional format

Version: 6.1.0.0.alpha0+
Build ID: 6e7f6dd20aa58cb4c9ab66260a62d71a53002b9b
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 6 QA Administrators 2019-04-03 02:56:54 UTC Comment hidden (obsolete)
Comment 7 eisa01 2019-04-20 18:14:21 UTC
This is still present

Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Kohei Yoshida 2019-08-27 23:12:38 UTC
This is a binary Excel file, not a MSO 2003 XML file.